Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.uka.ipd.consensus.impl
Class XTMExportHandler

    java.lang.Object
      de.uka.ipd.consensus.impl.XTMExportHandler

All Implemented Interfaces:
  ExportHandler

public class XTMExportHandler
extends Object
implements ExportHandler

TODO

Version:
  2006-06-14
Author:
  Thomas Much

Constructor Summary
`XTMExportHandler(LoggingManager lm, OntologyManager om)`

Method Summary
`void` | `exportOntology(OutputStream out, boolean exportInternals)` Exports the ontology to a given OutputStream.
`String` | `getContentType()` Returns the content (MIME) type that this handler will export, e.h.
`String` | `getDescription()` Returns a short description about this export handler.
`String` | `getExtension()` Returns the file extensions of the ontology format that this handler can export, e.g.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XTMExportHandler

    public XTMExportHandler(LoggingManager lm,
                            OntologyManager om)

Method Detail

### exportOntology

    public void exportOntology(OutputStream out,
                               boolean exportInternals)
                        throws IOException,
                               OntologyManagerException

  Description copied from interface: `ExportHandler`
  Exports the ontology to a given OutputStream. Can be called by an application.

  This method is responsible for closing the stream!

  Specified by:
    `exportOntology` in interface `ExportHandler`
  Parameters:
    `out` - the OutputStream to write the ontology to
    `exportInternals` - a flag if internal element shall be exported (like users and the "created-by" association)
  Throws:
    `OntologyManagerException` - if the ontology cannot be exported for some other reason
    `IOException` - if an IO error occurs while writing the ontology

### getContentType

    public String getContentType()

  Description copied from interface: `ExportHandler`
  Returns the content (MIME) type that this handler will export, e.h. "text/xml".

  Specified by:
    `getContentType` in interface `ExportHandler`
  Returns:
    the content type of an ontology exported by this handler

### getExtension

    public String getExtension()

  Description copied from interface: `ExportHandler`
  Returns the file extensions of the ontology format that this handler can export, e.g. "xtm".

  Specified by:
    `getExtension` in interface `ExportHandler`
  Returns:
    the file extension for the handlers ontology file format

### getDescription

    public String getDescription()

  Description copied from interface: `ExportHandler`
  Returns a short description about this export handler.

  Specified by:
    `getDescription` in interface `ExportHandler`
  Returns:
    a description about this handler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD